Entwurf Draht

From FreeCAD Documentation
(Redirected from Draft CloseLine/de)
Jump to navigation Jump to search
This page is a translated version of the page Draft Wire and the translation is 57% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Vorherige: Draft Line.svg Linie
Nächste: Verrundung Draft Fillet.svg Arrow-right.svg

Draft Wire.svg Entwurf Draht

Menüeintrag
Entwurf → Polylinie
Arbeitsbereich
Entwurf, Architektur
Standardtastenkürzel
P L
Eingeführt in Version
0.7
Siehe auch
Entwurf Linie, Entwurf BSpline

Beschreibung

Der Draft Wire.svg Entwurf Draht Befehl erzeugt eine Polylinie, eine Folge von mehreren Liniensegmenten. Der Befehl kann auch verwendet werden um Entwurf Linien und Entwurf Drähte zu verbinden.

The corners of a Draft Wire can be filleted (rounded) or chamfered by changing its DatenFillet Radius or DatenChamfer Size respectively. It is also possible to subdivide the edges of a Draft Wire by changing its DatenSubdivisions property.

Draft Polyline example.jpg

Draht definiert durch mehrfache Punkte

Erstellen

Anwendung

Siehe auch: Entwurf Ablage, Entwurf Fang und Entwurf beschränken.

  1. Drücke die Draft Wire.svg Entwurf Draht Schaltfläche, oder drücke P dann L Tasten.
  2. Klicke auf einen ersten Punkt in der 3D Ansicht, oder gib eine Koordinate ein und drücke die Draft AddPoint.svg Punkt hinzufügen Schaltfläche im zugehörigen Aufgabenpaneel Linie.
  3. Klicke auf weitere Punkte in der 3D Ansicht, oder gib eine Koordinate und drücke die Draft AddPoint.svg Punkt hinzufügen Schaltfläche im zugehörigen Aufgabenpaneel Linie.
  4. Drücke Esc oder die Close Schaltfläche, um die Bearbeitung abzuschließen.

Optionen

Die im Aufgabenpaneel verfügbaren Einzelzeichen Tastaturkürzel können geändert werden. Siehe Entwurf Einstellungen. Die hier genannten Tastenkürzel sind die Standardtastenkürzel.

  • Drücke A oder die Draft FinishLine.svg Beenden Taste, um den Draht fertigzustellen, offen hinterlassend.
  • Drücke O oder die Draft CloseLine.svg Schliessen Schaltfläche um den Draht zu schliessen, d.h. es wird ein Segment vom letzten Punkt zum ersten hinzugefügt, um eine Fläche zu bilden. Es sind mindestens drei Punkte erforderlich, um eine Fläche zu bilden.
  • Drücke W oder die Draft Wipe.svg Wischen Taste um die bereits platzierten Liniensegmente zu entfernen, aber den Draht vom letzten Punkt aus weiter zu bearbeiten.
  • Drücke U oder die Draft SelectPlane.svg Setze WP Taste um die aktuelle Arbeitsebene in der Orientierung des letzten Punktes anzupassen.
  • Drücke X, Y oder Z nach einem Punkt, um den nächsten Punkt auf der gegebenen Achse zu beschränken.
  • Um Koordinaten manuell einzugeben, gib einfach die Zahlen ein und drücke dann Enter zwischen jeder X, Y und Z Komponente. Du kannst die Draft AddPoint.svg Punkt hinzufügen Schaltfläche drücken wenn Du die gewünschten Werte zum Einfügen des Punktes hast.
  • Drücke R oder klicke auf das Kontrollkästchen, um den relativen Modus umzuschalten. Wenn der Modus "relativ" eingeschaltet ist, sind die Koordinaten des nächsten Punktes relativ zum letzten; wenn nicht, sind sie absolut, ausgehend vom Ursprung (0,0,0).
  • Drücke T oder klicke das Kontrollkästchen an, um den Modus fortsetzen zu aktivieren. Wenn der Fortsetzungsmodus eingeschaltet ist, wird das Drahtwerkzeug nach Beendigung des Drahtes neu gestartet, so dass Du einen weiteren Draht zeichnen kannst, ohne den Werkzeugknopf erneut zu drücken.
  • Drücke L oder klicke auf das Kontrollkästchen, um den ausgefüllten Modus umzuschalten. Wenn der Modus "ausgefüllt" eingeschaltet ist, erzeugt ein geschlossener Draht eine ausgefüllte Fläche Daten-EigenschaftErstelle Fläche true; wenn nicht, erzeugt der geschlossene Draht keine Fläche Daten-EigenschaftErstelle Fläche false
Hinweis:; der Draht sollte nicht gefüllt werden, wenn er sich selbst schneidet, da er keine ordnungsgemäße Fläche erzeugt. Wenn der Draht gefüllt ist, aber keine Form sichtbar ist, setze manuell Daten-EigenschaftErstelle Fläche auf false, um den Draht zu sehen.
  • Halte Ctrl während des Zeichnens gedrückt, um Fangen Deinen Punkt unabhängig vom Abstand zur nächsten Fangposition zu zwingen.
  • Halte Umschalten, während Du Beschränken Deinen nächsten Punkt horizontal oder vertikal in Bezug auf den letzten zeichnest.
  • Drücke Ctrl+Z oder drücke die Draft UndoLine.svg rückgängig Schaltfläche um den letzten Punkt rückgängig machen.
  • Drücke Esc oder die Schliessen Taste, um den aktuellen Befehl abzubrechen; bereits platzierte Liniensegmente bleiben erhalten.

Verbinden

Anwendung

  1. The end points of the Draft Lines and/or Draft Wires to be joined must be exactly coincident. If required first adjust points to ensure that this is the case.
  2. Select two or more Draft Lines and/or Draft Wires.
  3. There are several ways to invoke the command:
    • Press the Draft Wire.svg Draft Wire button.
    • Select the Drafting → Draft Wire.svg Polyline option from the menu.
    • Use the keyboard shortcut: P then L.

Hinweise

Der Draht kann nach doppelklicken auf das Element in der Baumansicht oder durch drücken der Taste Draft Edit.svg Entwurf Bearbeiten geändert werden. Dann kannst Du die Punkte an eine neue Position verschieben oder Draft AddPoint.svg Punkt hinzufügen oder Draft DelPoint.svg Punkt entfernen und dann den Draht anklicken, um Punkte hinzuzufügen oder zu entfernen.

Einstellungen

Siehe auch: Einstellungseditor und Entwurf Einstellungen.

  • Um die Anzahl der Dezimalstellen zu ändern, die bei der Eingabe von Koordinaten verwendet werden: Bearbeiten → Einstellungen... → Allgemein → Einheiten → Einheiteneinstellungen → Anzahl der Dezimalstellen.
  • Um den Anfangswert des Füllmodus zu ändern: Bearbeiten → Einstellungen... → Entwurf → Allgemeine Einstellungen → Entwurf Werkzeuge Optionen → Objekte mit Flächen füllen, wann immer möglich. Ändern des Füllmodus in einem Aufgabenpaneel, wird diese Voreinstellung für die aktuelle FreeCAD Sitzung überschreiben.

Eigenschaften

Siehe auch: Eigenschafteneditor.

A Draft Wire object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Daten

Draft

  • DatenStart: spezifiziert den ersten Punkt im Draht.
  • DatenEnde: spezifiziert den letzten Punkt im Draht, wobei der Anfangspunkt nicht mitgezählt wird, wenn der Draht geschlossen wird.
  • DatenGeschlossen: spezifiziert, ob der Draht geschlossen ist oder nicht. Wenn der Draht ursprünglich offen ist, ist dieser Wert false; ihn auf true setzen, wird ein Liniensegment zeichnen, um den Draht zu schließen. Wenn der Draht ursprünglich geschlossen ist, ist dieser Wert true; ihn auf false setzen, wird das letzte Liniensegment entfernen, und der Draht wird geöffnet.
  • DatenFasengröße: gibt die Größe der Fasen (gerade Abschnitte) an, die an den Ecken des Drahtes erzeugt werden.
  • Daten-EigenschaftVerrundungsradius: gibt den Radius der Verrundungen (Bogenabschnitte) an, die an den Ecken des Drahtes erzeugt werden.
  • DatenErstelle Fläche: gibt an, ob der Draht eine Fläche bildet oder nicht. Wenn es true ist, wird eine Fläche erzeugt, andernfalls werden nur die Kanten als Teil des Objekts betrachtet. Diese Eigenschaft funktioniert nur, wenn DatenGeschlossen true ist.
Hinweis: setze DatenErstelle Fläche nicht auf true, wenn der Draht sich selbst überkreuzt, da er keine ordnungsgemäße Fläche erzeugt.
  • DatenUnterteilungen: gibt die Anzahl der innen liegenden Knoten in jedem Abschnitt des Drahtes an. eingeführt in Version 0.16
  • DatenLänge: (nur-lesen) gibt die Länge des gesamten Drahtes an.

Ansicht

Draft

  • AnsichtEndpfeil: wenn es true ist, wird ein Symbol am letzten Punkt des Drahtes angezeigt, so dass es als Anmerkungslinie verwendet werden kann.
  • AnsichtPfeilgröße: gibt die Größe des am Ende des Drahtes angezeigten Symbols an.
  • AnsichtPfeiltyp: gibt den Typ des am Ende des Drahtes angezeigten Symbols an, der "Punkt", "Kreis", "Pfeil" oder "Kreuz" sein kann.
  • AnsichtMuster: spezifiziert ein Entwurfsmuster, mit dem die Fläche des geschlossenen Drahtes ausgefüllt werden soll. Diese Eigenschaft funktioniert nur, wenn DatenErstelle Fläche true ist und wenn AnsichtAnzeigemodus "Ebene Linien" ist.
  • AnsichtMustergröße: gibt die Größe des Entwurfsmuster an.

Skripten

Siehe auch: Autogenerierte API Dokumentation und FreeCAD Grundlagen Skripten.

Das Drahtwerkzeug kann in Makros und von der Python Konsole aus mit der folgenden Funktion verwendet werden:

wire = make_wire(pointslist, closed=False, placement=None, face=None, support=None)
wire = make_wire(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Erzeugt ein Draht Objekt mit der angegebenen Liste von Punkten, Punktliste.
    • Jeder Punkt in der Liste wird durch seinen FreeCAD.Vector definiert, mit Einheiten in Millimetern.
    • Alternativ kann die Eingabe ein Part.Wire sein, aus dem die Punkte extrahiert werden.
  • Wenn closed True ist, oder wenn der erste und letzte Punkt identisch sind, wird der Draht geschlossen.
  • Wenn ein placement angegeben wird, wird dieser verwendet; andernfalls wird die Form am Ursprung erzeugt.
  • Wenn Fläche True ist und der Draht geschlossen ist, wird der Draht eine Fläche bilden, d.h. er wird gefüllt erscheinen.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)

wire1 = Draft.make_wire([p1, p2, p3], closed=True)
wire2 = Draft.make_wire([p1, 2*p3, 1.3*p2], closed=True)
wire3 = Draft.make_wire([1.3*p3, p1, -1.7*p2], closed=True)

doc.recompute()


Arrow-left.svg Vorherige: Draft Line.svg Linie
Nächste: Verrundung Draft Fillet.svg Arrow-right.svg